weka.core.pmml.jaxbbindings

## Enum COMPAREFUNCTION

- java.lang.Object
- - java.lang.Enum<COMPAREFUNCTION>
  - - weka.core.pmml.jaxbbindings.COMPAREFUNCTION

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<COMPAREFUNCTION>

      public enum COMPAREFUNCTION
      extends java.lang.Enum<COMPAREFUNCTION>

  Java class for COMPARE-FUNCTION.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="COMPARE-FUNCTION">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="absDiff"/>
           <enumeration value="gaussSim"/>
           <enumeration value="delta"/>
           <enumeration value="equal"/>
           <enumeration value="table"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABS_DIFF`
    `DELTA`
    `EQUAL`
    `GAUSS_SIM`
    `TABLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static COMPAREFUNCTION` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static COMPAREFUNCTION` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static COMPAREFUNCTION[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABS_DIFF

          public static final COMPAREFUNCTION ABS_DIFF

    - #### DELTA

          public static final COMPAREFUNCTION DELTA

    - #### EQUAL

          public static final COMPAREFUNCTION EQUAL

    - #### GAUSS_SIM

          public static final COMPAREFUNCTION GAUSS_SIM

    - #### TABLE

          public static final COMPAREFUNCTION TABLE

  - ### Method Detail

    - #### values

          public static COMPAREFUNCTION[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (COMPAREFUNCTION c : COMPAREFUNCTION.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static COMPAREFUNCTION valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static COMPAREFUNCTION fromValue(java.lang.String v)